Bug 298708 - Linepattern fillings are rendered badly or not at all
Summary: Linepattern fillings are rendered badly or not at all
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake (show other bugs)
Version: 2.4-snapshots
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-23 23:48 UTC by Friedrich W. H. Kossebau
Modified: 2012-09-01 14:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example file with some line patterns (7.87 KB, application/vnd.oasis.opendocument.graphics)
2012-04-23 23:48 UTC, Friedrich W. H. Kossebau
Details
Example file with some line patterns (2.98 KB, application/vnd.oasis.opendocument.graphics)
2012-04-24 00:04 UTC, Friedrich W. H. Kossebau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich W. H. Kossebau 2012-04-23 23:48:00 UTC
Created attachment 70620 [details]
Example file with some line patterns

hatch styles with draw:rotation with values 300 or 3300 are not rendered at all. Other styles are rendered very roughly, with lines of big blocks at high resolution, so not antialiased at all.

Attached file can be used to test it.
Comment 1 Friedrich W. H. Kossebau 2012-04-24 00:03:05 UTC
Comment on attachment 70620 [details]
Example file with some line patterns

Bah, uploaded wrong version
Comment 2 Friedrich W. H. Kossebau 2012-04-24 00:04:47 UTC
Created attachment 70621 [details]
Example file with some line patterns
Comment 3 T Zachmann 2012-09-01 14:39:34 UTC
Git commit 0f67c281e51a30693d5994fa2db6f890a421d6bc by Thorsten Zachmann.
Committed on 01/09/2012 at 16:14.
Pushed by zachmann into branch 'master'.

Implement hatch background as defined in odf.

With this patch the different styles, freely defined angles and distance between
the lines of the hatch is supported.

This patch also changes the KoColorBackground to also use the d pointer of the
parent which reduces the memory needed for a KoColorBackground.

REVIEW: 106115
Related: bug 260534

M  +1    -0    libs/flake/CMakeLists.txt
M  +14   -13   libs/flake/KoColorBackground.cpp
M  +5    -2    libs/flake/KoColorBackground.h
A  +40   -0    libs/flake/KoColorBackground_p.h     [License: LGPL (v2+)]
A  +233  -0    libs/flake/KoHatchBackground.cpp     [License: LGPL (v2+)]
C  +26   -30   libs/flake/KoHatchBackground.h [from: libs/flake/KoColorBackground.h - 051% similarity]
M  +7    -2    libs/flake/KoShape.cpp

http://commits.kde.org/calligra/0f67c281e51a30693d5994fa2db6f890a421d6bc